TBSCertList.CRLEntry (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class TBSCertList.CRLEntry

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.TBSCertList.CRLEntry

- All Implemented Interfaces:
    ASN1Encodable, Encodable
  Enclosing class:
    TBSCertList

      public static class TBSCertList.CRLEntry
      extends ASN1Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Extensions` | `getExtensions()`
    `static TBSCertList.CRLEntry` | `getInstance(java.lang.Object o)`
    `Time` | `getRevocationDate()`
    `ASN1Integer` | `getUserCertificate()`
    `boolean` | `hasExtensions()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TBSCertList.CRLEntry getInstance(java.lang.Object o)

    - #### getUserCertificate

          public ASN1Integer getUserCertificate()

    - #### getRevocationDate

          public Time getRevocationDate()

    - #### getExtensions

          public Extensions getExtensions()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### hasExtensions

          public boolean hasExtensions()